using System;

namespace SugarDemo
{
    class Program
    {
        static void Main(string[] args)
        {
            Console.WriteLine("Hello World!");
            var model = new SugarHelper();
            //1.0无法解决文件命名的问题
            //数据库表名大小写无法按规则命名
            //该demo属于未完成脚本
            //Repository层生成完成后请检查文件中context
            var settings = new BaseEntityData
            {
                strBaseEntity = "ConfigEntityBase",
                strBaseRepository = "ApiConfigRepositoryBase",
                strNamespace = "Siger.Middlelayer.Repository",
                strPath = @"D:\helper",
                listTable = new string[] { "siger_andon_plan" }
            };
            model.InitFile(settings);
        }
    }
}
